const express = require('express');
const router = express.Router();
const db = require('./db/fileDb');
const {nanoid} = require('nanoid')

db.init();

router.get('/', (req, res) => {
    const products = db.getItems();
    res.send(products)
});

router.get('/:id', (req, res) => {
    res.send('Single product will be here' + req.params.id)
});

router.post('/', (req, res) => {
    console.log('Create product', req.body);
    const newProduct = {
        ...req.body,
        _id: nanoid()
    };
    db.addItem(newProduct);
    res.send(newProduct)
});

module.exports = router;